18.2. Support in kernel (ESP and AH)

18.2.1. Support in vanilla Linux kernel 2.4.x

Currently missing in vanilla 2.4. There was an issue about keeping the Linux kernel source free of export/import-control-laws regarding encryption code. This is also one case why FreeS/WAN project wasn't included in vanilla source.

18.2.2. Support in vanilla Linux kernel 2.6.x

Current versions (as time of writing 2.6.9 and upper) support native IPsec for IPv4 and IPv6.

Implementation was helped by the USAGI project.